# List a workflow’s webhook endpoints

> Source: https://elaichi.ai/docs/api-reference/workflows/automation/listautomationwebhooks/

`GET /automation/{id}/webhook`

Resource: **Workflow** · API: **Workflows**

## Path parameters

- **`id`** _(string, required)_
  Resource id

## Response body

- **`result`** _(array<object>)_
  - **`trigger_key`** _(string)_
  - **`endpoint_id`** _(string)_
  - **`url`** _(string)_
  - **`scheme`** _(string)_
    Allowed: `standard`, `hmac`, `token`
  - **`preset`** _(string,null)_
  - **`status`** _(string)_
    Allowed: `active`, `needs_secret`, `draft_only`
  - **`secret_state`** _(string)_
    Allowed: `unrevealed`, `revealed`, `provided`, `missing`
  - **`previous_secret_expires_at`** _(string,null)_
  - **`created_at`** _(string)_
  - **`rotated_at`** _(string,null)_
  - **`can_manage`** _(boolean)_
- **`next_cursor`** _(string,null)_
- **`prev_cursor`** _(string,null)_

## Code examples

### curl

```bash
curl -X GET 'https://api.elaichi.ai/automation/<id>/webhook' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.elaichi.ai/automation/<id>/webhook', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/automation/<id>/webhook"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())
```
